/* +-------------+---------+-----------------------+
   | John Breaux | jab0910 | JohnBreaux@my.unt.edu |
   |             |         |                       | //TODO put your names here
   +-------------+---------+-----------------------+
   |              Created  2022-04-16              |
   +-----------------------------------------------+  */
#include "graph.hpp"      // Graph reduction/Knot detection, struct adjmatrix

int main(int argc, char** argv) {
   // TODO: Grab file name from args
   //? Command line argument structure?
   //? Other flags? What other features should this have?
   if (argc < 2) return 1;
   std::string filename = argv[1];
   graph g;

   //TODO: Implement reading from a file
   int err = g.read(filename);
   if (err) {
      return err;
   }
   g.print();

   // TODO: Implement graph reduction and/or knot detection
   printf("Graph is %s\n", g.reducible()?"not reducible! Deadlock!":"reducible! No deadlock!");//?

   // TODO: Destroy the graph created by read_file
   return 0;
}